/*
 * Read Write Lock Pattern .
 *
 * Copyright (C) 2004 Claude Hussenet
 * Contact : chussenet@yahoo.com
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package test.patterns.readwritelock;

/**
 * @version <tt>$Revision: 1.3.4.3 $</tt>
 * @author  <a href="mailto:chussenet@yahoo.com">{Claude Hussenet Independent Consultant}</a>.
 */
public class AccountWithReadWriteLock extends Account
{

   public AccountWithReadWriteLock(float balance)
   {
	super(balance);
   }
   /**
    * @@org.jboss.aspects.patterns.readwritelock.writeLockOperation
    */
   public void debit(float amount)
   {
	  super.debit(amount);
   }
   /**
    * @@org.jboss.aspects.patterns.readwritelock.writeLockOperation
    */
   public void credit(float amount)
   {
	   super.credit(amount);
   }
   /**
    * @@org.jboss.aspects.patterns.readwritelock.readLockOperation
    */
   public float getBalance()
   {
   	return super.getBalance();
   }

   /**
    * @@org.jboss.aspects.patterns.readwritelock.readLockOperation
    */
   public String toString()
   {
	 return super.toString();
   }


}



